DROP TABLE IF EXISTS $prefix.`_nsnst_admins`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_admins` (`aid` varchar(25) NOT NULL default '', `login` varchar(25) NOT NULL default '', `password` varchar(40) NOT NULL default '', `password_md5` varchar(60) NOT NULL default '', `password_crypt` varchar(60) NOT NULL default '', `protected` tinyint(2) NOT NULL default '0', PRIMARY KEY  (`aid`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_blocked_ips`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_blocked_ips` (`ip_addr` varchar(15) NOT NULL default '', `ip_long` int(10) unsigned NOT NULL default '0', `user_id` int(11) NOT NULL default '1', `username` varchar(60) NOT NULL default '', `user_agent` text NOT NULL, `date` int(20) NOT NULL default '0', `notes` text NOT NULL, `reason` tinyint(1) NOT NULL default '0', `query_string` text NOT NULL, `get_string` text NOT NULL, `post_string` text NOT NULL, `x_forward_for` varchar(32) NOT NULL default '', `client_ip` varchar(32) NOT NULL default '',`remote_addr` varchar(32) NOT NULL default '',`remote_port` varchar(11) NOT NULL default '', `request_method` varchar(10) NOT NULL default '', `expires` int(20) NOT NULL default '0', `c2c` char(2) NOT NULL default '00', PRIMARY KEY  (`ip_addr`), KEY `ip_long` (`ip_long`), KEY `c2c` (`c2c`), KEY `date` (`date`), KEY `expires` (`expires`), KEY `reason` (`reason`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_blocked_ranges`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_blocked_ranges` (`ip_lo` int(10) unsigned NOT NULL default '0', `ip_hi` int(10) unsigned NOT NULL default '0', `date` int(20) NOT NULL default '0', `notes` text NOT NULL, `reason` tinyint(1) NOT NULL default '0', `expires` int(20) NOT NULL default '0',  `c2c` char(2) NOT NULL default '00', PRIMARY KEY  (`ip_lo`,`ip_hi`), KEY `c2c` (`c2c`), KEY `date` (`date`), KEY `expires` (`expires`), KEY `reason` (`reason`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_blockers`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_blockers` ( `blocker` int(4) NOT NULL default '0', `block_name` varchar(20) NOT NULL default '', `activate` int(4) NOT NULL default '0', `block_type` int(4) NOT NULL default '0', `email_lookup` int(4) NOT NULL default '0', `forward` varchar(255) NOT NULL default '', `reason` varchar(20) NOT NULL default '', `template` varchar(255) NOT NULL default '', `duration` int(20) NOT NULL default '0', `htaccess` int(4) NOT NULL default '0', `list` longtext NOT NULL, PRIMARY KEY  (`blocker`)) ENGINE=MyISAM;
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(0, 'other', 0, 0, 0, '', 'Abuse-Other', 'abuse_default.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(1, 'union', 1, 0, 0, '', 'Abuse-Union', 'abuse_union.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(2, 'clike', 1, 0, 0, '', 'Abuse-CLike', 'abuse_clike.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(3, 'harvester', 0, 0, 0, '', 'Abuse-Harvest', 'abuse_harvester.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(4, 'script', 1, 0, 0, '', 'Abuse-Script', 'abuse_script.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(5, 'author', 1, 0, 0, '', 'Abuse-Author', 'abuse_author.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(6, 'referer', 0, 0, 0, '', 'Abuse-Referer', 'abuse_referer.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(7, 'filter', 1, 0, 0, '', 'Abuse-Filter', 'abuse_filter.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(8, 'request', 0, 0, 0, '', 'Abuse-Request', 'abuse_request.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(9, 'string', 0, 0, 0, '', 'Abuse-String', 'abuse_string.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(10, 'admin', 1, 0, 0, '', 'Abuse-Admin', 'abuse_admin.tpl', 0, 0, '');
INSERT INTO $prefix.`_nsnst_blockers` (`blocker`, `block_name`, `activate`, `block_type`, `email_lookup`, `forward`, `reason`, `template`, `duration`, `htaccess`, `list`) VALUES(11, 'flood', 0, 0, 0, '', 'Abuse-Flood', 'abuse_flood.tpl', 0, 0, '');

DROP TABLE IF EXISTS $prefix.`_nsnst_cidrs`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_cidrs` ( `cidr` int(2) NOT NULL default '0', `hosts` int(10) NOT NULL default '0', `mask` varchar(15) NOT NULL default '', PRIMARY KEY  (`cidr`)) ENGINE=MyISAM;
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(1, 2147483647, '127.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(2, 1073741824, '63.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(3, 536870912, '31.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(4, 268435456, '15.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(5, 134217728, '7.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(6, 67108864, '3.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(7, 33554432, '1.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(8, 16777216, '0.255.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(9, 8388608, '0.127.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(10, 4194304, '0.63.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(11, 2097152, '0.31.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(12, 1048576, '0.15.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(13, 524288, '0.7.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(14, 262144, '0.3.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(15, 131072, '0.1.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(16, 65536, '0.0.255.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(17, 32768, '0.0.127.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(18, 16384, '0.0.63.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(19, 8192, '0.0.31.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(20, 4096, '0.0.15.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(21, 2048, '0.0.7.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(22, 1024, '0.0.3.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(23, 512, '0.0.1.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(24, 256, '0.0.0.255');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(25, 128, '0.0.0.127');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(26, 64, '0.0.0.63');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(27, 32, '0.0.0.31');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(28, 16, '0.0.0.15');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(29, 8, '0.0.0.7');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(30, 4, '0.0.0.3');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(31, 2, '0.0.0.1');
INSERT INTO $prefix.`_nsnst_cidrs` (`cidr`, `hosts`, `mask`) VALUES(32, 1, '0.0.0.0');

DROP TABLE IF EXISTS $prefix.`_nsnst_config`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_config` ( `config_name` varchar(255) NOT NULL default '', `config_value` longtext NOT NULL, PRIMARY KEY  (`config_name`)) ENGINE=MyISAM;
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('admin_contact', 'webmaster@yoursite.com');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('block_perpage', '50');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('block_sort_column', 'date');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('block_sort_direction', 'desc');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('crypt_salt', 'N$');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('disable_switch', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('display_link', '3');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('display_reason', '3');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('dump_directory', 'cache/');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('flood_delay', '2');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('force_nukeurl', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('ftaccess_path', '');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('help_switch', '1');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('htaccess_path', '');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('http_auth', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('ip2c_version', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('list_harvester', '@yahoo.com\r\nalexibot\r\nalligator\r\nanonymiz\r\nasterias\r\nbackdoorbot\r\nblack hole\r\nblackwidow\r\nblowfish\r\nbotalot\r\nbuiltbottough\r\nbullseye\r\nbunnyslippers\r\ncatch\r\ncegbfeieh\r\ncharon\r\ncheesebot\r\ncherrypicker\r\nchinaclaw\r\ncombine\r\ncopyrightcheck\r\ncosmos\r\ncrescent\r\ncurl\r\ndbrowse\r\ndisco\r\ndittospyder\r\ndlman\r\ndnloadmage\r\ndownload\r\ndreampassport\r\ndts agent\r\necatch\r\neirgrabber\r\nerocrawler\r\nexpress webpictures\r\nextractorpro\r\neyenetie\r\nfantombrowser\r\nfantomcrew browser\r\nfileheap\r\nfilehound\r\nflashget\r\nfoobot\r\nfranklin locator\r\nfreshdownload\r\nfscrawler\r\ngamespy_arcade\r\ngetbot\r\ngetright\r\ngetweb\r\ngo!zilla\r\ngo-ahead-got-it\r\ngrab\r\ngrafula\r\ngsa-crawler\r\nharvest\r\nhloader\r\nhmview\r\nhttplib\r\nhttpresume\r\nhttrack\r\nhumanlinks\r\nigetter\r\nimage stripper\r\nimage sucker\r\nindustry program\r\nindy library\r\ninfonavirobot\r\ninstallshield digitalwizard\r\ninterget\r\niria\r\nirvine\r\niupui research bot\r\njbh agent\r\njennybot\r\njetcar\r\njobo\r\njoc\r\nkapere\r\nkenjin spider\r\nkeyword density\r\nlarbin\r\nleechftp\r\nleechget\r\nlexibot\r\nlibweb/clshttp\r\nlibwww-perl\r\nlightningdownload\r\nlincoln state web browser\r\nlinkextractorpro\r\nlinkscan/8.1a.unix\r\nlinkwalker\r\nlwp-trivial\r\nlwp::simple\r\nmac finder\r\nmata hari\r\nmediasearch\r\nmetaproducts\r\nmicrosoft url control\r\nmidown tool\r\nmiixpc\r\nmissauga locate\r\nmissouri college browse\r\nmister pix\r\nmoget\r\nmozilla.*newt\r\nmozilla/3.0 (compatible)\r\nmozilla/3.mozilla/2.01\r\nmsie 4.0 (win95)\r\nmultiblocker browser\r\nmydaemon\r\nmygetright\r\nnabot\r\nnavroad\r\nnearsite\r\nnet vampire\r\nnetants\r\nnetmechanic\r\nnetpumper\r\nnetspider\r\nnewsearchengine\r\nnicerspro\r\nninja\r\nnitro downloader\r\nnpbot\r\noctopus\r\noffline explorer\r\noffline navigator\r\nopenfind\r\npagegrabber\r\npapa foto\r\npavuk\r\npbrowse\r\npcbrowser\r\npeval\r\npompos/\r\nprogram shareware\r\npropowerbot\r\nprowebwalker\r\npsurf\r\npuf\r\npuxarapido\r\nqueryn metasearch\r\nrealdownload\r\nreget\r\nrepomonkey\r\nrsurf\r\nrumours-agent\r\nsakura\r\nscan4mail\r\nsemanticdiscovery\r\nsitesnagger\r\nslysearch\r\nspankbot\r\nspanner \r\nspiderzilla\r\nsq webscanner\r\nstamina\r\nstar downloader\r\nsteeler\r\nstrip\r\nsuperbot\r\nsuperhttp\r\nsurfbot\r\nsuzuran\r\nswbot\r\nszukacz\r\ntakeout\r\nteleport\r\ntelesoft\r\ntest spider\r\nthe intraformant\r\nthenomad\r\ntighttwatbot\r\ntitan\r\ntocrawl/urldispatcher\r\ntrue_robot\r\ntsurf\r\nturing machine\r\nturingos\r\nurlblaze\r\nurlgetfile\r\nurly warning\r\nutilmind\r\nvci\r\nvoideye\r\nweb image collector\r\nweb sucker\r\nwebauto\r\nwebbandit\r\nwebcapture\r\nwebcollage\r\nwebcopier\r\nwebenhancer\r\nwebfetch\r\nwebgo\r\nwebleacher\r\nwebmasterworldforumbot\r\nwebql\r\nwebreaper\r\nwebsite extractor\r\nwebsite quester\r\nwebster\r\nwebstripper\r\nwebwhacker\r\nwep search\r\nwget\r\nwhizbang\r\nwidow\r\nwildsoft surfer\r\nwww-collector-e\r\nwww.netwu.com\r\nwwwoffle\r\nxaldon\r\nxenu\r\nzeus\r\nziggy\r\nzippy');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('list_referer', '121hr.com\r\n1st-call.net\r\n1stcool.com\r\n5000n.com\r\n69-xxx.com\r\n9irl.com\r\n9uy.com\r\na-day-at-the-party.com\r\naccessthepeace.com\r\nadult-model-nude-pictures.com\r\nadult-sex-toys-free-porn.com\r\nagnitum.com\r\nalfonssackpfeiffe.com\r\nalongwayfrommars.com\r\nanime-sex-1.com\r\nanorex-sf-stimulant-free.com\r\nantibot.net\r\nantique-tokiwa.com\r\napotheke-heute.com\r\narmada31.com\r\nartark.com\r\nartlilei.com\r\nascendbtg.com\r\naschalaecheck.com\r\nasian-sex-free-sex.com\r\naslowspeeker.com\r\nassasinatedfrogs.com\r\nathirst-for-tranquillity.net\r\naubonpanier.com\r\navalonumc.com\r\nayingba.com\r\nbayofnoreturn.com\r\nbbw4phonesex.com\r\nbeersarenotfree.com\r\nbierikiuetsch.com\r\nbilingualannouncements.com\r\nblack-pussy-toon-clip-anal-lover-single.com\r\nblownapart.com\r\nblueroutes.com\r\nboasex.com\r\nbooksandpages.com\r\nbootyquake.com\r\nbossyhunter.com\r\nboyz-sex.com\r\nbrokersaandpokers.com\r\nbrowserwindowcleaner.com\r\nbudobytes.com\r\nbusiness2fun.com\r\nbuymyshitz.com\r\nbyuntaesex.com\r\ncaniputsomeloveintoyou.com\r\ncartoons.net.ru\r\ncaverunsailing.com\r\ncertainhealth.com\r\nclantea.com\r\nclose-protection-services.com\r\nclubcanino.com\r\nclubstic.com\r\ncobrakai-skf.com\r\ncollegefucktour.co.uk\r\ncommanderspank.com\r\ncoolenabled.com\r\ncrusecountryart.com\r\ncrusingforsex.co.uk\r\ncunt-twat-pussy-juice-clit-licking.com\r\ncustomerhandshaker.com\r\ncyborgrama.com\r\ndarkprofits.co.uk\r\ndatingforme.co.uk\r\ndatingmind.com\r\ndegree.org.ru\r\ndelorentos.com\r\ndiggydigger.com\r\ndinkydonkyaussie.com\r\ndjpritchard.com\r\ndjtop.com\r\ndraufgeschissen.com\r\ndreamerteens.co.uk\r\nebonyarchives.co.uk\r\nebonyplaya.co.uk\r\necobuilder2000.com\r\nemailandemail.com\r\nemedici.net\r\nengine-on-fire.com\r\nerocity.co.uk\r\nesport3.com\r\neteenbabes.com\r\neurofreepages.com\r\neurotexans.com\r\nevolucionweb.com\r\nfakoli.com\r\nfe4ba.com\r\nferienschweden.com\r\nfindly.com\r\nfirsttimeteadrinker.com\r\nfishing.net.ru\r\nflatwonkers.com\r\nflowershopentertainment.com\r\nflymario.com\r\nfree-xxx-pictures-porno-gallery.com\r\nfreebestporn.com\r\nfreefuckingmovies.co.uk\r\nfreexxxstuff.co.uk\r\nfruitologist.net\r\nfruitsandbolts.com\r\nfuck-cumshots-free-midget-movie-clips.com\r\nfuck-michaelmoore.com\r\nfundacep.com\r\ngadless.com\r\ngallapagosrangers.com\r\ngalleries4free.co.uk\r\ngalofu.com\r\ngaypixpost.co.uk\r\ngeomasti.com\r\ngirltime.co.uk\r\nglassrope.com\r\ngodjustblessyouall.com\r\ngoldenageresort.com\r\ngonnabedaddies.com\r\ngranadasexi.com\r\nguardingtheangels.com\r\nguyprofiles.co.uk\r\nhappy1225.com\r\nhappychappywacky.com\r\nhealth.org.ru\r\nhexplas.com\r\nhighheelsmodels4fun.com\r\nhillsweb.com\r\nhiptuner.com\r\nhistoryintospace.com\r\nhoa-tuoi.com\r\nhomebuyinginatlanta.com\r\nhorizonultra.com\r\nhorseminiature.net\r\nhotkiss.co.uk\r\nhotlivegirls.co.uk\r\nhotmatchup.co.uk\r\nhusler.co.uk\r\niaentertainment.com\r\niamnotsomeone.com\r\niconsofcorruption.com\r\nihavenotrustinyou.com\r\ninformat-systems.com\r\ninteriorproshop.com\r\nintersoftnetworks.com\r\ninthecrib.com\r\ninvestment4cashiers.com\r\niti-trailers.com\r\njackpot-hacker.com\r\njacks-world.com\r\njamesthesailorbasher.com\r\njesuislemonds.com\r\njustanotherdomainname.com\r\nkampelicka.com\r\nkanalrattenarsch.com\r\nkatzasher.com\r\nkerosinjunkie.com\r\nkillasvideo.com\r\nkoenigspisser.com\r\nkontorpara.com\r\nl8t.com\r\nlaestacion101.com\r\nlambuschlamppen.com\r\nlankasex.co.uk\r\nlaser-creations.com\r\nle-tour-du-monde.com\r\nlecraft.com\r\nledo-design.com\r\nleftregistration.com\r\nlekkikoomastas.com\r\nlepommeau.com\r\nlibr-animal.com\r\nlibraries.org.ru\r\nlikewaterlikewind.com\r\nlimbojumpers.com\r\nlink.ru\r\nlockportlinks.com\r\nloiproject.com\r\nlongtermalternatives.com\r\nlottoeco.com\r\nlucalozzi.com\r\nmaki-e-pens.com\r\nmalepayperview.co.uk\r\nmangaxoxo.com\r\nmaps.org.ru\r\nmarcofields.com\r\nmasterofcheese.com\r\nmasteroftheblasterhill.com\r\nmastheadwankers.com\r\nmegafrontier.com\r\nmeinschuppen.com\r\nmercurybar.com\r\nmetapannas.com\r\nmicelebre.com\r\nmidnightlaundries.com\r\nmikeapartment.co.uk\r\nmillenniumchorus.com\r\nmimundial2002.com\r\nminiaturegallerymm.com\r\nmixtaperadio.com\r\nmondialcoral.com\r\nmonja-wakamatsu.com\r\nmonstermonkey.net\r\nmouthfreshners.com\r\nmullensholiday.com\r\nmusilo.com\r\nmyhollowlog.com\r\nmyhomephonenumber.com\r\nmykeyboardisbroken.com\r\nmysofia.net\r\nnaked-cheaters.com\r\nnaked-old-women.com\r\nnastygirls.co.uk\r\nnationclan.net\r\nnatterratter.com\r\nnaughtyadam.com\r\nnestbeschmutzer.com\r\nnetwu.com\r\nnewrealeaseonline.com\r\nnewrealeasesonline.com\r\nnextfrontiersonline.com\r\nnikostaxi.com\r\nnotorious7.com\r\nnrecruiter.com\r\nnursingdepot.com\r\nnustramosse.com\r\nnuturalhicks.com\r\noccaz-auto49.com\r\nocean-db.net\r\noilburnerservice.net\r\nomburo.com\r\noneoz.com\r\nonepageahead.net\r\nonlinewithaline.com\r\norganizate.net\r\nourownweddingsong.com\r\nowen-music.com\r\np-partners.com\r\npaginadeautor.com\r\npakistandutyfree.com\r\npamanderson.co.uk\r\nparentsense.net\r\nparticlewave.net\r\npay-clic.com\r\npay4link.net\r\npcisp.com\r\npersist-pharma.com\r\npeteband.com\r\npetplusindia.com\r\npickabbw.co.uk\r\npicture-oral-position-lesbian.com\r\npl8again.com\r\nplaneting.net\r\npopusky.com\r\nporn-expert.com\r\npromoblitza.com\r\nproproducts-usa.com\r\nptcgzone.com\r\nptporn.com\r\npublishmybong.com\r\nputtingtogether.com\r\nqualifiedcancelations.com\r\nrahost.com\r\nrainbow21.com\r\nrakkashakka.com\r\nrandomfeeding.com\r\nrape-art.com\r\nrd-brains.com\r\nrealestateonthehill.net\r\nrebuscadobot\r\nrequested-stuff.com\r\nretrotrasher.com\r\nricopositive.com\r\nrisorseinrete.com\r\nrotatingcunts.com\r\nrunawayclicks.com\r\nrutalibre.com\r\ns-marche.com\r\nsabrosojazz.com\r\nsamuraidojo.com\r\nsanaldarbe.com\r\nsasseminars.com\r\nschlampenbruzzler.com\r\nsearchmybong.com\r\nseckur.com\r\nsex-asian-porn-interracial-photo.com\r\nsex-porn-fuck-hardcore-movie.com\r\nsexa3.net\r\nsexer.com\r\nsexintention.com\r\nsexnet24.tv\r\nsexomundo.com\r\nsharks.com.ru\r\nshells.com.ru\r\nshop-ecosafe.com\r\nshop-toon-hardcore-fuck-cum-pics.com\r\nsilverfussions.com\r\nsin-city-sex.net\r\nsluisvan.com\r\nsmutshots.com\r\nsnagglersmaggler.com\r\nsomethingtoforgetit.com\r\nsophiesplace.net\r\nsoursushi.com\r\nsouthernxstables.com\r\nspeed467.com\r\nspeedpal4you.com\r\nsporty.org.ru\r\nstopdriving.net\r\nstw.org.ru\r\nsufficientlife.com\r\nsussexboats.net\r\nswinger-party-free-dating-porn-sluts.com\r\nsydneyhay.com\r\nszmjht.com\r\nteninchtrout.com\r\nthebalancedfruits.com\r\ntheendofthesummit.com\r\nthiswillbeit.com\r\nthosethosethose.com\r\nticyclesofindia.com\r\ntits-gay-fagot-black-tits-bigtits-amateur.com\r\ntonius.com\r\ntoohsoft.com\r\ntoolvalley.com\r\ntooporno.net\r\ntoosexual.com\r\ntorngat.com\r\ntour.org.ru\r\ntowneluxury.com\r\ntrafficmogger.com\r\ntriacoach.net\r\ntrottinbob.com\r\ntttframes.com\r\ntvjukebox.net\r\nundercvr.com\r\nunfinished-desires.com\r\nunicornonero.com\r\nunionvillefire.com\r\nupsandowns.com\r\nupthehillanddown.com\r\nvallartavideo.com\r\nvietnamdatingservices.com\r\nvinegarlemonshots.com\r\nvizy.net.ru\r\nvnladiesdatingservices.com\r\nvomitandbusted.com\r\nwalkingthewalking.com\r\nwell-I-am-the-type-of-boy.com\r\nwhales.com.ru\r\nwhincer.net\r\nwhitpagesrippers.com\r\nwhois.sc\r\nwipperrippers.com\r\nwordfilebooklets.com\r\nworld-sexs.com\r\nxsay.com\r\nxxxchyangel.com\r\nxxxx:\r\nxxxzips.com\r\nyouarelostintransit.com\r\nyuppieslovestocks.com\r\nyuzhouhuagong.com\r\nzhaori-food.com\r\nzwiebelbacke.com');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('list_string', '');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('lookup_link', 'http://www.DNSstuff.com/tools/whois/?ip=');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('page_delay', '5');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('prevent_dos', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('proxy_reason', 'admin_proxy_reason.tpl');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('proxy_switch', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('santy_protection', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('self_expire', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('show_right', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('site_reason', 'admin_site_reason.tpl');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('site_switch', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('staccess_path', '');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('test_switch', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_active', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_clear', '0');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_max', '604800');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_perpage', '50');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_sort_column', '6');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('track_sort_direction', 'desc');
INSERT INTO $prefix.`_nsnst_config` (`config_name`, `config_value`) VALUES('version_number', '2.6.03');

DROP TABLE IF EXISTS $prefix.`_nsnst_countries`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_countries` ( `c2c` char(2) NOT NULL default '', `country` varchar(60) NOT NULL default '', PRIMARY KEY  (`c2c`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_excluded_ranges`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_excluded_ranges` ( `ip_lo` int(10) unsigned NOT NULL default '0', `ip_hi` int(10) unsigned NOT NULL default '0', `date` int(20) NOT NULL default '0', `notes` text NOT NULL, `c2c` char(2) NOT NULL default '00', PRIMARY KEY  (`ip_lo`,`ip_hi`), KEY `c2c` (`c2c`), KEY `date` (`date`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_harvesters`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_harvesters` ( `hid` int(2) NOT NULL auto_increment, `harvester` varchar(255) NOT NULL default '', PRIMARY KEY  (`harvester`), KEY `hid` (`hid`)) ENGINE=MyISAM;
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(1, '@yahoo.com');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(2, 'alexibot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(3, 'alligator');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(4, 'anonymiz');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(5, 'asterias');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(6, 'backdoorbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(7, 'black hole');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(8, 'blackwidow');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(9, 'blowfish');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(10, 'botalot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(11, 'builtbottough');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(12, 'bullseye');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(13, 'bunnyslippers');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(14, 'catch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(15, 'cegbfeieh');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(16, 'charon');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(17, 'cheesebot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(18, 'cherrypicker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(19, 'chinaclaw');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(20, 'combine');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(21, 'copyrightcheck');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(22, 'cosmos');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(23, 'crescent');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(24, 'curl');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(25, 'dbrowse');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(26, 'disco');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(27, 'dittospyder');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(28, 'dlman');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(29, 'dnloadmage');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(30, 'download');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(31, 'dreampassport');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(32, 'dts agent');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(33, 'ecatch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(34, 'eirgrabber');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(35, 'erocrawler');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(36, 'express webpictures');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(37, 'extractorpro');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(38, 'eyenetie');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(39, 'fantombrowser');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(40, 'fantomcrew browser');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(41, 'fileheap');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(42, 'filehound');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(43, 'flashget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(44, 'foobot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(45, 'franklin locator');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(46, 'freshdownload');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(47, 'fscrawler');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(48, 'gamespy_arcade');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(49, 'getbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(50, 'getright');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(51, 'getweb');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(52, 'go!zilla');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(53, 'go-ahead-got-it');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(54, 'grab');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(55, 'grafula');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(56, 'gsa-crawler');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(57, 'harvest');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(58, 'hloader');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(59, 'hmview');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(60, 'httplib');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(61, 'httpresume');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(62, 'httrack');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(63, 'humanlinks');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(64, 'igetter');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(65, 'image stripper');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(66, 'image sucker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(67, 'industry program');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(68, 'indy library');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(69, 'infonavirobot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(70, 'installshield digitalwizard');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(71, 'interget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(72, 'iria');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(73, 'irvine');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(74, 'iupui research bot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(75, 'jbh agent');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(76, 'jennybot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(77, 'jetcar');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(78, 'jobo');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(79, 'joc');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(80, 'kapere');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(81, 'kenjin spider');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(82, 'keyword density');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(83, 'larbin');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(84, 'leechftp');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(85, 'leechget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(86, 'lexibot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(87, 'libweb/clshttp');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(88, 'libwww-perl');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(89, 'lightningdownload');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(90, 'lincoln state web browser');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(91, 'linkextractorpro');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(92, 'linkscan/8.1a.unix');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(93, 'linkwalker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(94, 'lwp-trivial');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(95, 'lwp::simple');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(96, 'mac finder');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(97, 'mata hari');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(98, 'mediasearch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(99, 'metaproducts');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(100, 'microsoft url control');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(101, 'midown tool');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(102, 'miixpc');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(103, 'missauga locate');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(104, 'missouri college browse');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(105, 'mister pix');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(106, 'moget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(107, 'mozilla.*newt');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(108, 'mozilla/3.0 (compatible)');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(109, 'mozilla/3.mozilla/2.01');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(110, 'msie 4.0 (win95)');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(111, 'multiblocker browser');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(112, 'mydaemon');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(113, 'mygetright');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(114, 'nabot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(115, 'navroad');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(116, 'nearsite');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(117, 'net vampire');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(118, 'netants');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(119, 'netmechanic');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(120, 'netpumper');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(121, 'netspider');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(122, 'newsearchengine');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(123, 'nicerspro');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(124, 'ninja');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(125, 'nitro downloader');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(126, 'npbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(127, 'octopus');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(128, 'offline explorer');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(129, 'offline navigator');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(130, 'openfind');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(131, 'pagegrabber');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(132, 'papa foto');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(133, 'pavuk');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(134, 'pbrowse');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(135, 'pcbrowser');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(136, 'peval');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(137, 'pompos/');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(138, 'program shareware');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(139, 'propowerbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(140, 'prowebwalker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(141, 'psurf');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(142, 'puf');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(143, 'puxarapido');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(144, 'queryn metasearch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(145, 'realdownload');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(146, 'reget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(147, 'repomonkey');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(148, 'rsurf');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(149, 'rumours-agent');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(150, 'sakura');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(151, 'scan4mail');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(152, 'semanticdiscovery');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(153, 'sitesnagger');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(154, 'slysearch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(155, 'spankbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(156, 'spanner ');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(157, 'spiderzilla');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(158, 'sq webscanner');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(159, 'stamina');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(160, 'star downloader');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(161, 'steeler');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(162, 'strip');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(163, 'superbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(164, 'superhttp');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(165, 'surfbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(166, 'suzuran');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(167, 'swbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(168, 'szukacz');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(169, 'takeout');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(170, 'teleport');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(171, 'telesoft');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(172, 'test spider');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(173, 'the intraformant');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(174, 'thenomad');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(175, 'tighttwatbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(176, 'titan');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(177, 'tocrawl/urldispatcher');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(178, 'true_robot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(179, 'tsurf');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(180, 'turing machine');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(181, 'turingos');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(182, 'urlblaze');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(183, 'urlgetfile');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(184, 'urly warning');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(185, 'utilmind');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(186, 'vci');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(187, 'voideye');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(188, 'web image collector');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(189, 'web sucker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(190, 'webauto');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(191, 'webbandit');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(192, 'webcapture');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(193, 'webcollage');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(194, 'webcopier');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(195, 'webenhancer');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(196, 'webfetch');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(197, 'webgo');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(198, 'webleacher');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(199, 'webmasterworldforumbot');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(200, 'webql');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(201, 'webreaper');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(202, 'website extractor');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(203, 'website quester');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(204, 'webster');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(205, 'webstripper');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(206, 'webwhacker');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(207, 'wep search');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(208, 'wget');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(209, 'whizbang');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(210, 'widow');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(211, 'wildsoft surfer');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(212, 'www-collector-e');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(213, 'www.netwu.com');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(214, 'wwwoffle');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(215, 'xaldon');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(216, 'xenu');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(217, 'zeus');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(218, 'ziggy');
INSERT INTO $prefix.`_nsnst_harvesters` (`hid`, `harvester`) VALUES(219, 'zippy');

DROP TABLE IF EXISTS $prefix.`_nsnst_ip2country`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_ip2country` ( `ip_lo` int(10) unsigned NOT NULL default '0', `ip_hi` int(10) unsigned NOT NULL default '0', `date` int(20) NOT NULL default '0', `c2c` char(2) NOT NULL default '', PRIMARY KEY  (`ip_lo`,`ip_hi`,`c2c`), UNIQUE KEY `c2c` (`c2c`,`ip_hi`,`ip_lo`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_protected_ranges`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_protected_ranges` ( `ip_lo` int(10) unsigned NOT NULL default '0', `ip_hi` int(10) unsigned NOT NULL default '0', `date` int(20) NOT NULL default '0', `notes` text NOT NULL, `c2c` char(2) NOT NULL default '00', PRIMARY KEY  (`ip_lo`,`ip_hi`), KEY `c2c` (`c2c`), KEY `date` (`date`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_referers`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_referers` ( `rid` int(2) NOT NULL auto_increment, `referer` varchar(255) NOT NULL default '', PRIMARY KEY  (`referer`), KEY `rid` (`rid`)) ENGINE=MyISAM;
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(1, '121hr.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(2, '1st-call.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(3, '1stcool.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(4, '5000n.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(5, '69-xxx.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(6, '9irl.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(7, '9uy.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(8, 'a-day-at-the-party.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(9, 'accessthepeace.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(10, 'adult-model-nude-pictures.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(11, 'adult-sex-toys-free-porn.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(12, 'agnitum.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(13, 'alfonssackpfeiffe.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(14, 'alongwayfrommars.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(15, 'anime-sex-1.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(16, 'anorex-sf-stimulant-free.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(17, 'antibot.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(18, 'antique-tokiwa.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(19, 'apotheke-heute.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(20, 'armada31.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(21, 'artark.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(22, 'artlilei.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(23, 'ascendbtg.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(24, 'aschalaecheck.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(25, 'asian-sex-free-sex.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(26, 'aslowspeeker.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(27, 'assasinatedfrogs.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(28, 'athirst-for-tranquillity.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(29, 'aubonpanier.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(30, 'avalonumc.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(31, 'ayingba.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(32, 'bayofnoreturn.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(33, 'bbw4phonesex.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(34, 'beersarenotfree.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(35, 'bierikiuetsch.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(36, 'bilingualannouncements.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(37, 'black-pussy-toon-clip-anal-lover-single.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(38, 'blownapart.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(39, 'blueroutes.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(40, 'boasex.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(41, 'booksandpages.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(42, 'bootyquake.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(43, 'bossyhunter.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(44, 'boyz-sex.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(45, 'brokersaandpokers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(46, 'browserwindowcleaner.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(47, 'budobytes.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(48, 'business2fun.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(49, 'buymyshitz.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(50, 'byuntaesex.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(51, 'caniputsomeloveintoyou.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(52, 'cartoons.net.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(53, 'caverunsailing.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(54, 'certainhealth.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(55, 'clantea.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(56, 'close-protection-services.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(57, 'clubcanino.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(58, 'clubstic.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(59, 'cobrakai-skf.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(60, 'collegefucktour.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(61, 'commanderspank.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(62, 'coolenabled.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(63, 'crusecountryart.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(64, 'crusingforsex.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(65, 'cunt-twat-pussy-juice-clit-licking.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(66, 'customerhandshaker.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(67, 'cyborgrama.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(68, 'darkprofits.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(69, 'datingforme.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(70, 'datingmind.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(71, 'degree.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(72, 'delorentos.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(73, 'diggydigger.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(74, 'dinkydonkyaussie.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(75, 'djpritchard.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(76, 'djtop.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(77, 'draufgeschissen.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(78, 'dreamerteens.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(79, 'ebonyarchives.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(80, 'ebonyplaya.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(81, 'ecobuilder2000.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(82, 'emailandemail.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(83, 'emedici.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(84, 'engine-on-fire.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(85, 'erocity.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(86, 'esport3.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(87, 'eteenbabes.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(88, 'eurofreepages.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(89, 'eurotexans.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(90, 'evolucionweb.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(91, 'fakoli.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(92, 'fe4ba.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(93, 'ferienschweden.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(94, 'findly.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(95, 'firsttimeteadrinker.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(96, 'fishing.net.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(97, 'flatwonkers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(98, 'flowershopentertainment.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(99, 'flymario.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(100, 'free-xxx-pictures-porno-gallery.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(101, 'freebestporn.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(102, 'freefuckingmovies.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(103, 'freexxxstuff.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(104, 'fruitologist.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(105, 'fruitsandbolts.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(106, 'fuck-cumshots-free-midget-movie-clips.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(107, 'fuck-michaelmoore.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(108, 'fundacep.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(109, 'gadless.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(110, 'gallapagosrangers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(111, 'galleries4free.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(112, 'galofu.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(113, 'gaypixpost.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(114, 'geomasti.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(115, 'girltime.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(116, 'glassrope.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(117, 'godjustblessyouall.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(118, 'goldenageresort.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(119, 'gonnabedaddies.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(120, 'granadasexi.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(121, 'guardingtheangels.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(122, 'guyprofiles.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(123, 'happy1225.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(124, 'happychappywacky.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(125, 'health.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(126, 'hexplas.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(127, 'highheelsmodels4fun.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(128, 'hillsweb.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(129, 'hiptuner.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(130, 'historyintospace.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(131, 'hoa-tuoi.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(132, 'homebuyinginatlanta.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(133, 'horizonultra.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(134, 'horseminiature.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(135, 'hotkiss.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(136, 'hotlivegirls.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(137, 'hotmatchup.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(138, 'husler.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(139, 'iaentertainment.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(140, 'iamnotsomeone.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(141, 'iconsofcorruption.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(142, 'ihavenotrustinyou.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(143, 'informat-systems.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(144, 'interiorproshop.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(145, 'intersoftnetworks.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(146, 'inthecrib.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(147, 'investment4cashiers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(148, 'iti-trailers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(149, 'jackpot-hacker.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(150, 'jacks-world.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(151, 'jamesthesailorbasher.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(152, 'jesuislemonds.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(153, 'justanotherdomainname.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(154, 'kampelicka.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(155, 'kanalrattenarsch.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(156, 'katzasher.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(157, 'kerosinjunkie.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(158, 'killasvideo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(159, 'koenigspisser.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(160, 'kontorpara.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(161, 'l8t.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(162, 'laestacion101.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(163, 'lambuschlamppen.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(164, 'lankasex.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(165, 'laser-creations.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(166, 'le-tour-du-monde.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(167, 'lecraft.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(168, 'ledo-design.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(169, 'leftregistration.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(170, 'lekkikoomastas.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(171, 'lepommeau.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(172, 'libr-animal.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(173, 'libraries.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(174, 'likewaterlikewind.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(175, 'limbojumpers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(176, 'link.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(177, 'lockportlinks.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(178, 'loiproject.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(179, 'longtermalternatives.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(180, 'lottoeco.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(181, 'lucalozzi.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(182, 'maki-e-pens.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(183, 'malepayperview.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(184, 'mangaxoxo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(185, 'maps.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(186, 'marcofields.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(187, 'masterofcheese.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(188, 'masteroftheblasterhill.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(189, 'mastheadwankers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(190, 'megafrontier.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(191, 'meinschuppen.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(192, 'mercurybar.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(193, 'metapannas.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(194, 'micelebre.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(195, 'midnightlaundries.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(196, 'mikeapartment.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(197, 'millenniumchorus.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(198, 'mimundial2002.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(199, 'miniaturegallerymm.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(200, 'mixtaperadio.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(201, 'mondialcoral.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(202, 'monja-wakamatsu.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(203, 'monstermonkey.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(204, 'mouthfreshners.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(205, 'mullensholiday.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(206, 'musilo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(207, 'myhollowlog.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(208, 'myhomephonenumber.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(209, 'mykeyboardisbroken.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(210, 'mysofia.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(211, 'naked-cheaters.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(212, 'naked-old-women.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(213, 'nastygirls.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(214, 'nationclan.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(215, 'natterratter.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(216, 'naughtyadam.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(217, 'nestbeschmutzer.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(218, 'netwu.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(219, 'newrealeaseonline.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(220, 'newrealeasesonline.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(221, 'nextfrontiersonline.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(222, 'nikostaxi.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(223, 'notorious7.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(224, 'nrecruiter.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(225, 'nursingdepot.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(226, 'nustramosse.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(227, 'nuturalhicks.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(228, 'occaz-auto49.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(229, 'ocean-db.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(230, 'oilburnerservice.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(231, 'omburo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(232, 'oneoz.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(233, 'onepageahead.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(234, 'onlinewithaline.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(235, 'organizate.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(236, 'ourownweddingsong.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(237, 'owen-music.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(238, 'p-partners.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(239, 'paginadeautor.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(240, 'pakistandutyfree.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(241, 'pamanderson.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(242, 'parentsense.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(243, 'particlewave.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(244, 'pay-clic.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(245, 'pay4link.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(246, 'pcisp.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(247, 'persist-pharma.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(248, 'peteband.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(249, 'petplusindia.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(250, 'pickabbw.co.uk');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(251, 'picture-oral-position-lesbian.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(252, 'pl8again.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(253, 'planeting.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(254, 'popusky.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(255, 'porn-expert.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(256, 'promoblitza.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(257, 'proproducts-usa.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(258, 'ptcgzone.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(259, 'ptporn.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(260, 'publishmybong.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(261, 'puttingtogether.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(262, 'qualifiedcancelations.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(263, 'rahost.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(264, 'rainbow21.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(265, 'rakkashakka.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(266, 'randomfeeding.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(267, 'rape-art.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(268, 'rd-brains.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(269, 'realestateonthehill.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(270, 'rebuscadobot');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(271, 'requested-stuff.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(272, 'retrotrasher.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(273, 'ricopositive.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(274, 'risorseinrete.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(275, 'rotatingcunts.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(276, 'runawayclicks.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(277, 'rutalibre.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(278, 's-marche.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(279, 'sabrosojazz.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(280, 'samuraidojo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(281, 'sanaldarbe.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(282, 'sasseminars.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(283, 'schlampenbruzzler.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(284, 'searchmybong.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(285, 'seckur.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(286, 'sex-asian-porn-interracial-photo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(287, 'sex-porn-fuck-hardcore-movie.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(288, 'sexa3.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(289, 'sexer.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(290, 'sexintention.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(291, 'sexnet24.tv');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(292, 'sexomundo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(293, 'sharks.com.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(294, 'shells.com.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(295, 'shop-ecosafe.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(296, 'shop-toon-hardcore-fuck-cum-pics.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(297, 'silverfussions.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(298, 'sin-city-sex.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(299, 'sluisvan.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(300, 'smutshots.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(301, 'snagglersmaggler.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(302, 'somethingtoforgetit.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(303, 'sophiesplace.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(304, 'soursushi.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(305, 'southernxstables.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(306, 'speed467.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(307, 'speedpal4you.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(308, 'sporty.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(309, 'stopdriving.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(310, 'stw.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(311, 'sufficientlife.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(312, 'sussexboats.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(313, 'swinger-party-free-dating-porn-sluts.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(314, 'sydneyhay.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(315, 'szmjht.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(316, 'teninchtrout.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(317, 'thebalancedfruits.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(318, 'theendofthesummit.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(319, 'thiswillbeit.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(320, 'thosethosethose.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(321, 'ticyclesofindia.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(322, 'tits-gay-fagot-black-tits-bigtits-amateur.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(323, 'tonius.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(324, 'toohsoft.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(325, 'toolvalley.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(326, 'tooporno.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(327, 'toosexual.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(328, 'torngat.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(329, 'tour.org.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(330, 'towneluxury.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(331, 'trafficmogger.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(332, 'triacoach.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(333, 'trottinbob.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(334, 'tttframes.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(335, 'tvjukebox.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(336, 'undercvr.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(337, 'unfinished-desires.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(338, 'unicornonero.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(339, 'unionvillefire.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(340, 'upsandowns.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(341, 'upthehillanddown.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(342, 'vallartavideo.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(343, 'vietnamdatingservices.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(344, 'vinegarlemonshots.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(345, 'vizy.net.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(346, 'vnladiesdatingservices.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(347, 'vomitandbusted.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(348, 'walkingthewalking.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(349, 'well-I-am-the-type-of-boy.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(350, 'whales.com.ru');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(351, 'whincer.net');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(352, 'whitpagesrippers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(353, 'whois.sc');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(354, 'wipperrippers.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(355, 'wordfilebooklets.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(356, 'world-sexs.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(357, 'xsay.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(358, 'xxxchyangel.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(359, 'xxxx:');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(360, 'xxxzips.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(361, 'youarelostintransit.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(362, 'yuppieslovestocks.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(363, 'yuzhouhuagong.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(364, 'zhaori-food.com');
INSERT INTO $prefix.`_nsnst_referers` (`rid`, `referer`) VALUES(365, 'zwiebelbacke.com');

DROP TABLE IF EXISTS $prefix.`_nsnst_strings`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_strings` ( `sid` int(2) NOT NULL auto_increment, `string` varchar(255) NOT NULL default '', PRIMARY KEY  (`string`), KEY `sid` (`sid`)) ENGINE=MyISAM;

DROP TABLE IF EXISTS $prefix.`_nsnst_tracked_ips`;
CREATE TABLE IF NOT EXISTS $prefix.`_nsnst_tracked_ips` ( `tid` int(10) NOT NULL auto_increment, `ip_addr` varchar(15) NOT NULL default '', `ip_long` int(10) unsigned NOT NULL default '0', `user_id` int(11) NOT NULL default '1', `username` varchar(60) NOT NULL default '', `user_agent` text NOT NULL, `refered_from` text NOT NULL, `date` int(20) NOT NULL default '0', `page` text NOT NULL, `x_forward_for` varchar(32) NOT NULL default '',  `client_ip` varchar(32) NOT NULL default '', `remote_addr` varchar(32) NOT NULL default '', `remote_port` varchar(11) NOT NULL default '', `request_method` varchar(10) NOT NULL default '',  `c2c` char(2) NOT NULL default '00', PRIMARY KEY  (`tid`), KEY `ip_addr` (`ip_addr`), KEY `ip_long` (`ip_long`), KEY `user_id` (`user_id`), KEY `username` (`username`), KEY `user_agent` (`user_agent`(255)), KEY `refered_from` (`refered_from`(255)), KEY `date` (`date`), KEY `page` (`page`(255)), KEY `c2c` (`c2c`)) ENGINE=MyISAM;
